Bug 24898 - EnumProcess raises Exception
Summary: EnumProcess raises Exception
Status: RESOLVED NORESPONSE
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: 3.8.0
Hardware: Other Linux
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-11-27 13:09 UTC by Harry May
Modified: 2018-03-13 11:07 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Harry May 2014-11-27 13:09:06 UTC
I am developing with Visual Studio and then copying the exe to Linux and start it woth mono.
This runs without any problems until now.

To see if a process is running I use System.Diagnostics.Process.GetProcessesByName("somename");
90% of the time this function works fine, but sometimes
it raises an exception "This System does not support EnumProcesses".
When it raises this exception, then it does not work any longer, every call to GetProcessesByName raises this exception again.
I have to stop and restart the application, then it works for some hours before it stops again.

Compiled for .NET 4.5
VS2012

this problem was not existing when I compiled for .NET 2.0
Comment 1 João Matos 2014-12-01 11:47:12 UTC
Hi,

Can you please provide a testcase to try to reproduce the issue?
Comment 2 Marek Safar 2018-03-13 11:07:12 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!